<?php
	//Path donde est instalada la aplicacion
	//$sitepath=dirname(getcwd());

	//Damos de alta las plataformas de compilacion
	$platforms = array("Win32", "POSIX (Linux)");

	//Damos de alta los lenguajes de cada plataforma
	$languages["Win32"] = array ("C", "C++");
	$languages["POSIX (Linux)"] = array ("C", "C++");
	
	//Damos de alta las extensiones de los ficheros de cada lenguaje
	//NOTA: La primera extensin deber ser la que se va a compilar
	$extensions["C"] = array(".c", ".h");
	$extensions["C++"] = array(".cpp", ".h");
	
	//Damos de alta tipos de aplicaciones en funcion de la plataforma y el lenguaje
	$applications["Win32"]["C"] = array("Console", "Windows");
	$applications["Win32"]["C++"] = array("Console", "Windows");
	$applications["POSIX (Linux)"]["C"] = array("Console");
	$applications["POSIX (Linux)"]["C++"] = array("Console");
					
	//Indicamos cual es el modulo de compilacion para esa aplicacion
	$compile_module["Win32"]["C"]["Console"]="win32_c_console_compiler.php";
	$compile_module["Win32"]["C"]["Windows"]="win32_c_windows_compiler.php";
	$compile_module["Win32"]["C++"]["Console"]="win32_cpp_console_compiler.php";
	$compile_module["Win32"]["C++"]["Windows"]="win32_cpp_windows_compiler.php";
	$compile_module["POSIX (Linux)"]["C"]["Console"]="linux_c_console_compiler.php";
	$compile_module["POSIX (Linux)"]["C++"]["Console"]="linux_cpp_console_compiler.php";

	//Indicamos cual es el modulo de compilacion para esa aplicacion
	$builder_module["Win32"]["C"]["Console"]="win32_c_console_builder.php";
	$builder_module["Win32"]["C"]["Windows"]="win32_c_windows_builder.php";
	$builder_module["Win32"]["C++"]["Console"]="win32_cpp_console_builder.php";
	$builder_module["Win32"]["C++"]["Windows"]="win32_cpp_windows_builder.php";
	$builder_module["POSIX (Linux)"]["C"]["Console"]="linux_c_console_builder.php";
	$builder_module["POSIX (Linux)"]["C++"]["Console"]="linux_cpp_console_builder.php";

	//Indicamos cual es el path del compilador
	$compiler_path["Win32"]["C"]["Console"]="/home2/alumnos/g/g990357/public_html/mingw/cross-tools/bin/i386-mingw32msvc-gcc";
	$compiler_path["Win32"]["C"]["Windows"]="/home2/alumnos/g/g990357/public_html/mingw/cross-tools/bin/i386-mingw32msvc-gcc";
	$compiler_path["Win32"]["C++"]["Console"]="/home2/alumnos/g/g990357/public_html/mingw/cross-tools/bin/i386-mingw32msvc-g++";
	$compiler_path["Win32"]["C++"]["Windows"]="/home2/alumnos/g/g990357/public_html/mingw/cross-tools/bin/i386-mingw32msvc-g++";
	$compiler_path["POSIX (Linux)"]["C"]["Console"]="gcc";
	$compiler_path["POSIX (Linux)"]["C++"]["Console"]="g++";
	
	//Indicamos cual es el path del builder
	$builder_path["Win32"]["C"]["Console"]="/home2/alumnos/g/g990357/public_html/mingw/cross-tools/bin/i386-mingw32msvc-gcc";
	$builder_path["Win32"]["C"]["Windows"]="/home2/alumnos/g/g990357/public_html/mingw/cross-tools/bin/i386-mingw32msvc-gcc";
	$builder_path["Win32"]["C++"]["Console"]="/home2/alumnos/g/g990357/public_html/mingw/cross-tools/bin/i386-mingw32msvc-g++";
	$builder_path["Win32"]["C++"]["Windows"]="/home2/alumnos/g/g990357/public_html/mingw/cross-tools/bin/i386-mingw32msvc-g++";
	$builder_path["POSIX (Linux)"]["C"]["Console"]="gcc";
	$builder_path["POSIX (Linux)"]["C++"]["Console"]="g++";
?>